Subject: bug#59710: Wrong type argument when editing a multisession variable

From: Stefan Monnier <[email-masked]>
Date: Fri, 02 Dec 2022 10:40:04 -0500

>> @@ -671,4 +671,6 @@ bound-and-true-p
>>  Note that if `lexical-binding' is in effect, this function isn't
>>  meaningful if it refers to a lexically bound variable."
>> +  (unless (symbolp var)
>> +    (error "Wrong type argument: symbolp, %S" var))
>>    `(and (boundp (quote ,var)) ,var))
>
> I have no opinion on that.  Lars, Stefan: WDYT?

I wish Someone™ implemented something like
[Fortifying macros](https://dl.acm.org/doi/10.1145/1863543.1863577)
to solve this in a more general way :-)

I have no objections against such a change.

        Stefan